Name: bcel
Version: 5.1
Release: alt1

Summary: Byte Code Engineering Library
Group: Development/Java
License: Apache
URL: http://jakarta.apache.org/bcel/

%def_enable build_javadoc

%define javadir         %_datadir/java
%define javadocdir      %_datadir/javadoc
%define docdir		%_docdir/%name-%version

Requires: jakarta-regexp

Source: %name-%version-src.tar.bz2
Patch1: %name-5.1-build.patch

BuildRequires: ant j2se-devel
BuildRequires: jakarta-regexp

BuildArch: noarch

%description
The Byte Code Engineering Library (formerly known as JavaClass) is
intended to give users a convenient possibility to analyze, create, and
manipulate (binary) Java class files (those ending with .class). Classes
are represented by objects which contain all the symbolic information of
the given class: methods, fields and byte code instructions, in
particular.
Such objects can be read from an existing file, be transformed by a
program (e.g. a class loader at run-time) and dumped to a file again. An
even more interesting application is the creation of classes from
scratch at run-time. The Byte Code Engineering Library (BCEL) may be
also useful if you want to learn about the Java Virtual Machine (JVM)
and the format of Java .class files.
BCEL is already being used successfully in several projects such as
compilers, optimizers, obsfuscators and analysis tools, the most popular
being the Xalan XSLT processor at Apache.

%package javadoc
Summary: Javadoc for BCEL
Group: Development/Java

%description javadoc
Javadoc-generated API documentation for the Byte Code Engineering Library.

%prep
%setup -q
%patch1 -p1 -b .orig-build
find . -name '*.jar' -print0 | xargs -r0 rm -f

%build
export CLASSPATH=%javadir/jakarta-regexp.jar
ant jar
%if_enabled build_javadoc
ant apidocs
%endif

%install
# jars
mkdir -p $RPM_BUILD_ROOT%javadir
install -m 644 bin/bcel.jar $RPM_BUILD_ROOT%javadir/%name.jar
# javadoc
mkdir -p $RPM_BUILD_ROOT%javadocdir/%name
cp -a docs/api/* $RPM_BUILD_ROOT%javadocdir/%name

%files
%doc LICENSE.txt
%javadir/*

%files javadoc
%javadocdir/%name

%changelog
* Thu Sep 11 2003 Mikhail Zabaluev <mhz@altlinux.ru> 5.1-alt1
- New version
- Patch0 gone upstream
- Removed doc package due to absence of the docs in the source tarball
- Fix the build.xml crack [Patch1]

* Wed Nov 20 2002 Mikhail Zabaluev <mhz@altlinux.ru> 5.0-alt1
- Adopted from JPackage
